Skip to main content

International Shipping Container and Carrier Code Creation

This API allows you to create international shipping container codes and carrier codes provided by the Willog platform. You can use this API to generate new container and carrier codes.

Request​


POST ext/v1/ocean/reference-numbers/:referenceNumber/carrier​

Path Variable​

NameDescription
referenceNumberReference Number

Request Body​

  • carrierCode: REQUIRED STRING - Carrier code
  • containerCode: REQUIRED STRING - Container code
  • blNumber: OPTIONAL STRING - B/L number

Please refer to the carrier code in the Supported Carrier Codes for the carrierCode value.

Example Request​

POST /ext/v1/ocean/reference-numbers/:referenceNumber/carrier
Authorization: Bearer token
{
"carrierCode": "HDMU",
"containerCode": "VPLU0000460",
"blNumber": "HASLS21299999999"
}

Response​


Response Body​

  • success: boolean - Success status
  • message: string - Message or remarks

Example Success Response​

HTTP/1.1 200 OK

{
"success": true,
"message": "Carrier code and Container Code are linked to given reference number successfully"
}

Example Error Response​

- When the carrier code or container code is already linked to another reference number​

HTTP/1.1 200 OK

{
"success": false,
"message": "Carrier code or Container Code is already linked to another reference number"
}

- When no device is set for the reference number​

HTTP/1.1 200 OK

{
"success": false,
"message": "No device was set for the reference number"
}

- When the carrier code cannot be found​

HTTP/1.1 200 OK

{
"success": false,
"message": "Carrier not found for given carrierCode: HDMU"
}

- When the container code format is invalid​

HTTP/1.1 200 OK

{
"success": false,
"message": "Invalid container code format."
}

- When the carrier does not support container linking (when only containerCode and carrierCode are provided without blNumber)​

HTTP/1.1 200 OK

{
"success": false,
"message": "Carrier HDMU does not support container linking"
}